local HOOPSFROMANYWHERE_VERSION = 1

if not juggy then rawset(_G, "juggy", {}) end -- Create the juggy table if it doesn't exist.
-- Quit early if the last version loaded is higher than this local file.
if juggy.HOOPSFROMANYWHERE_VERSION and juggy.HOOPSFROMANYWHERE_VERSION > HOOPSFROMANYWHERE_VERSION then return end
juggy.HOOPSFROMANYWHERE_VERSION = HOOPSFROMANYWHERE_VERSION -- This is the newest version now.

local renderDashRingsFromAnywhere = false

local function isPositiveResult(value)
	local num = tonumber(value) or 0

	return string.lower(value) == "true" or
		string.lower(value) == "on" or
		string.lower(value) == "yes" or
		num > 0
end

addHook("MobjSpawn", function(mobj)
	if juggy.HOOPSFROMANYWHERE_VERSION > HOOPSFROMANYWHERE_VERSION then return end
	if not renderDashRingsFromAnywhere then return end
	mobj.flags = $|MF_DRAWFROMFARAWAY
end, MT_DASHRING)

addHook("MapChange", function(mapnum)
	if juggy.HOOPSFROMANYWHERE_VERSION > HOOPSFROMANYWHERE_VERSION then return end
	local value = mapheaderinfo[mapnum].renderdashringsfromanywhere

	if value and (isPositiveResult(value)) then
		renderDashRingsFromAnywhere = true
	end
end)

addHook("NetVars", function(network)
	if juggy.HOOPSFROMANYWHERE_VERSION > HOOPSFROMANYWHERE_VERSION then return end
	renderDashRingsFromAnywhere = network($)
end)